void ProximityDataReceiver::createTagToTagContactNewsPackage(PTNP::oid oid1, PTNP::oid oid2, PTNP::duration duration, PTNP::timestamp end) {
    // Datensatz vorbereiten und einen Stream dafür
    QByteArray *packageData = new QByteArray();
    QDataStream packageDataStream(packageData, QIODevice::WriteOnly);

    // alle Daten in den Datensatz schreiben
    packageDataStream<<oid1;
    packageDataStream<<oid2;
    packageDataStream<<duration;
    packageDataStream<<end;
    _packageQueueMutex.lock();
    // das Paket mit dem Datensatz an die Warteschlange anhängen
    _queue.append(new PTNP::Package(PTNP::TAG_TO_TAG_CONTACT_NEWS, packageData));
    _packageQueueMutex.unlock();
    // das Signal emitieren, dass neue Daten vorhanden sind
    emit receivedData();
}
